<div class="row">
    <div class="col text-center mt-3">
        <a href="#" class="test-jwt">Tester le JWT</a>
    </div>
</div>

<form method="POST" action=""> 
    <div class="row">
        <input type="text" id="input" name="token">
        <input type="submit">
    </div>
</form>


<?php
    require "vendor/autoload.php";
    require "validate_jwt.php";

    use app\validate_jwt;

    $dotenv =  Dotenv\Dotenv::createImmutable(__DIR__);
    $dotenv->load();
    $jwt = new validate_jwt($_ENV);
    
    echo "<p id='text'>" . $jwt->CreateJwt($_ENV) . "</p>";
?>

<?php 
    require "vendor/autoload.php";

    $token = explode(".", $_POST["token"]);
    $secret = $env["SECRET"];

    $header = base64_decode($token[0]);
    $paylod = base64_decode($token[1]);

    var_dump($header, $paylod, $signature);

?>

<script>
    localStorage.setItem("jwt", document.getElementById("text").textContent);
    document.getElementById("input").value =  localStorage.getItem("jwt");
</script>

<script>
    // Fonction de déclanchement de la requete Ajax de test.
    function get(url,jwt) {
        return new Promise((resolve, reject) => {
            const req = new XMLHttpRequest();
            req.open('GET', url);
            req.setRequestHeader("Authorization", "Bearer "+jwt);
            req.onload = () => req.status === 200 ? resolve(req.response) : reject(Error(req.statusText));
            req.onerror = (e) => reject(Error(`Network Error: ${e}`));
            req.send();
        });
    }

    document.querySelector(".test-jwt").addEventListener("click", async () =>  {
        jwt = await localStorage.getItem('jwt');
        get('validate_jwt.php',jwt);
    });
</script>
